Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.actions
Class ToggleWatchpointActionDelegate

    java.lang.Object
      org.eclipse.debug.internal.ui.actions.ToggleBreakpointObjectActionDelegate
          org.eclipse.debug.ui.actions.ToggleWatchpointActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IObjectActionDelegate

public class ToggleWatchpointActionDelegate
extends org.eclipse.debug.internal.ui.actions.ToggleBreakpointObjectActionDelegate

A toggle watchpoint action that can be contributed an object contribution. The action will toggle watchpoints on objects that provide an `IToggleBreakpointsTarget` adapter.

Clients may reference/contribute this class as an object contribution action delegate in plug-in XML. This class is not intended to be subclassed.

Since:
  3.0

Constructor Summary
`ToggleWatchpointActionDelegate()`

Method Summary
`protected void` | `performAction(IToggleBreakpointsTarget target, IWorkbenchPart part, ISelection selection)` Performs the operation specific to this action.

Methods inherited from class org.eclipse.debug.internal.ui.actions.ToggleBreakpointObjectActionDelegate
`dispose, init, run, runWithEvent, selectionChanged, setActivePart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleWatchpointActionDelegate

    public ToggleWatchpointActionDelegate()

Method Detail

### performAction

    protected void performAction(IToggleBreakpointsTarget target,
                                 IWorkbenchPart part,
                                 ISelection selection)
                          throws CoreException

  Description copied from class: `org.eclipse.debug.internal.ui.actions.ToggleBreakpointObjectActionDelegate`
  Performs the operation specific to this action.

  Parameters:
    `target` - adapter to toggle breakpoints
    `part` - the active part
    `selection` - the seleciton in the active part
  Throws:
    `CoreException` - if an exception occurrs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.